Bug 475904 - stardict no sound output because using esd
stardict no sound output because using esd
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: libgnome (Show other bugs)
10
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: i18n, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-10 19:56 EST by liang jian
Modified: 2009-12-17 21:22 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-17 01:05:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb output (1.95 KB, text/plain)
2009-12-17 00:13 EST, Caius Chance
no flags Details

  None (edit)
Description liang jian 2008-12-10 19:56:15 EST
Description of problem:

    I have installed WyabdcRealPeopleTTS sound library but stardict can't read words for me. Another abnormal thing about sound is that now I can't even hear the sound when the mouse pointer entering the buttons of stardict. I remember in the previous version I can hear a little sound when the mouse pointer entering one of the button of stardict.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Caius Chance 2008-12-10 20:01:00 EST
Hi, I don't know WyabdcRealPeopleTTS sound library, but could you play sound with that on your system?
Comment 2 liang jian 2008-12-10 20:16:32 EST
WyabdcRealPeopleTTS is an english speech library, it is composed of thousands of *.wav file. stardict can utilize this speech library to read words in english. Audio in my system works fine, I just can't hear any sound in stardict, is this something related to esound ?
Comment 3 han pingtian 2008-12-15 16:15:33 EST
I reach the same problems on x86_64. And I gets some warning messages from the log:

Dec 16 05:02:08 localhost kernel: ALSA sound/core/oss/pcm_oss.c:781: BUG? (oss_period_size >= 16)
Dec 16 05:02:08 localhost kernel: Pid: 5518, comm: stardict Not tainted 2.6.27.7-134.fc10.x86_64 #1
Dec 16 05:02:08 localhost kernel:
Dec 16 05:02:08 localhost kernel: Call Trace:
Dec 16 05:02:08 localhost kernel: [<ffffffffa01dae38>] snd_pcm_oss_change_params+0xbc5/0xd8b [snd_pcm_oss]
Dec 16 05:02:08 localhost kernel: [<ffffffffa01db8c3>] snd_pcm_oss_get_active_substream+0x34/0xab [snd_pcm_oss]
Dec 16 05:02:08 localhost kernel: [<ffffffffa01db9aa>] snd_pcm_oss_set_channels+0x70/0x87 [snd_pcm_oss]
Dec 16 05:02:08 localhost kernel: [<ffffffffa01dc781>] snd_pcm_oss_ioctl+0x51b/0xc6d [snd_pcm_oss]
Dec 16 05:02:08 localhost kernel: [<ffffffff810cb9ae>] vfs_ioctl+0x2a/0x78
Dec 16 05:02:08 localhost kernel: [<ffffffff810cbc49>] do_vfs_ioctl+0x24d/0x26a
Dec 16 05:02:08 localhost kernel: [<ffffffff810cbcbb>] sys_ioctl+0x55/0x7a
Dec 16 05:02:08 localhost kernel: [<ffffffff8101024a>] system_call_fastpath+0x16/0x1b
Dec 16 05:02:08 localhost kernel:

The pid 5518 is the pid of stardict.
Comment 4 Caius Chance 2008-12-16 21:25:52 EST
Hi alsa-oss maint.,

Just wondering if this is alsa-oss bug? as first line of error log mentioned?
Comment 5 liang jian 2008-12-18 06:49:01 EST
  hi, I have a new clue to this problem.
  When I start stardict from terminal, I saw the following lines among the log messages:

Expression 'parameters->channelCount <= maxChans' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 924
Expression 'ValidateParameters( outputParameters, hostApi, StreamDirection_Out )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 1142
Expression 'parameters->channelCount <= maxChans' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 924
Expression 'ValidateParameters( outputParameters, hostApi, StreamDirection_Out )' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 1142

  maybe this will help to solve this problem.
Comment 6 Gong Han 2008-12-26 03:22:18 EST
This is a very annoying issue. I can't live with a dic which is not able to play sound.
Comment 7 han pingtian 2009-01-23 20:27:26 EST
hi,
The error messages mentioned in comment #3 and #5 seems disappears, right?
But still no sound in stardict.
It seems that the gnome_sound_play() in src/desktop.cpp, play_wav_file(), doesn't play the wav files.
Comment 8 Caius Chance 2009-01-26 18:30:59 EST
Which package are the gnome_sound_play() in src/desktop.cpp and play_wav_file() located?
Comment 9 han pingtian 2009-01-27 06:25:24 EST
(In reply to comment #8)
> Which package are the gnome_sound_play() in src/desktop.cpp and play_wav_file()
> located?

They are in stardict package. They are functions of stardict.
Comment 10 Mamoru TASAKA 2009-02-01 02:23:56 EST
A little while ago there was a post on fedora-list:
https://www.redhat.com/archives/fedora-list/2009-February/msg00016.html

------------------------------------------------------------------
hi Great list,

I just find that the libgnome-2.24.1-7.fc10 has been disabled "esd" when it is built.
This has caused the "gnome_sound_play()" doesn't work and some package such as
"stardict" cannot play sound.

Why should we disable esd in libgnome? Could we enable it?
-------------------------------------------------------------------
Comment 11 Kevin Kofler 2009-02-01 10:03:53 EST
So the problem is that libgnome tries to use OSS for sound output rather than libesd. The former does not work with PulseAudio, the latter does.
Comment 12 Caius Chance 2009-02-16 08:16:02 EST
any news now?
Comment 13 Yijun Yuan 2009-02-18 00:45:06 EST
Let's talk about a patch on the BBS or ML
http://bbs.fedora-zh.org/showthread.php?t=1082
Comment 14 Bug Zapper 2009-11-18 02:49:38 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Jens Petersen 2009-11-24 00:48:42 EST
Anyone want to fix this?

Is it still broken in f11 and f12
Comment 16 Caius Chance 2009-12-16 23:30:40 EST
It is freezes at the splash screen on Fedora 12.

I am trying to debug it now.
Comment 17 Caius Chance 2009-12-17 00:13:15 EST
Created attachment 378895 [details]
gdb output
Comment 18 Caius Chance 2009-12-17 00:32:13 EST
The following tracker also mentioning about the problem from pulseaudio which
may be the source of problems of espeak:

http://sourceforge.net/tracker/index.php?func=detail&aid=2797961&group_id=80679&atid=560632
Comment 19 Caius Chance 2009-12-17 01:00:47 EST
*** Bug 512190 has been marked as a duplicate of this bug. ***
Comment 20 Caius Chance 2009-12-17 01:05:32 EST
Check bug# 512190. I am rebuilding with espeak disabled for instance.
Comment 21 Kevin Kofler 2009-12-17 05:23:24 EST
1. this is not related to the original report at all, and 2. disabling espeak support makes no sense, this needs to be sorted out in espeak. (But the easiest solution for those hitting that issue is to simply install PulseAudio.)
Comment 22 Kevin Kofler 2009-12-17 21:22:18 EST
And here's a proposed fix for the espeak issue: https://bugzilla.redhat.com/show_bug.cgi?id=512190#c11

Note You need to log in before you can comment on or make changes to this bug.